<?php

/**
 * This file contains package_quiqqer_crm_ajax_backend_tasks_get
 */

/**
 * Return a task
 *
 * @param integer $taskId
 * @return integer
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_crm_ajax_backend_tasks_addComment',
    function ($taskId, $message) {
        if (empty($message)) {
            return;
        }

        $Task = QUI\ERP\CRM\TaskHandler::getTask($taskId);
        $Task->addComment($message);
        $Task->save();
    },
    ['taskId', 'message'],
    'Permission::checkAdminUser'
);
