<?php

/**
 * This file contains package_quiqqer_crm_ajax_backend_tasks_create
 */

/**
 * Create a new task
 *
 * @param array $attributes
 * @return integer
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_crm_ajax_backend_tasks_create',
    function ($attributes) {
        $Task = QUI\ERP\CRM\TaskFactory::create(
            \json_decode($attributes, true)
        );

        return $Task->getId();
    },
    ['attributes'],
    'Permission::checkAdminUser'
);
