<?php

/**
 * This file contains QUI\ERP\CRM\TaskStatus\StatusUnknown
 */

namespace QUI\ERP\CRM\TaskStatus;

use QUI;

/**
 * Class Exception
 *
 * @package QUI\ERP\CRM\TaskStatus
 */
class StatusUnknown extends Status
{
    /**
     * @var int
     */
    protected $id = 0;

    /**
     * @var string
     */
    protected $color = '#999';

    /**
     * Status constructor
     */
    public function __construct()
    {
    }

    /**
     * Return the title
     *
     * @param null|QUI\Locale (optional) $Locale
     * @return string
     */
    public function getTitle($Locale = null)
    {
        if (!($Locale instanceof QUI\Locale)) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('quiqqer/crm', 'task.status.unknown');
    }
}
